API referenceWhatsApp
DELETE /whatsapp/numbers/{id}
Release the number now: deregistered (best effort), returned to the carrier, its account flagged needs_reconnect (phone_number.released). Idempotent
DELETE
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringProvisioned number id
{number}
application/json- response
number?curl -X DELETE 'https://example.com/api/v1/whatsapp/numbers/string'Example Response
{ "number": { "id": "string", "provider": "telnyx", "phoneNumber": "string", "countryCode": "string", "verifiedName": "string", "status": "purchasing", "wabaId": "string", "phoneNumberId": "string", "accountId": "string", "sourceAccountId": "string", "codeMethod": "VOICE", "codeRequestedAt": "2019-08-24T14:15:22Z", "codeAttempts": 0, "priceCents": 0, "currency": "string", "activatedAt": "2019-08-24T14:15:22Z", "lastProductionMessageAt": "2019-08-24T14:15:22Z", "releaseWarnedAt": "2019-08-24T14:15:22Z", "releaseAt": "2019-08-24T14:15:22Z", "releasedAt": "2019-08-24T14:15:22Z", "error": "string", "nextActionAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "lastCode": { "code": "string", "capturedAt": "string", "expiresAt": "string" } }}